/**
 * Load configuration settings from a directory containing configuration files.
 *
 * @param dir the directory from which to recursively load configurations
 * @param enableJs if true, enable loading from JavaScript files by using require(). This
 *  eval-like behavior is deprecated and potentially unsafe.
 */
export default function loadFromFiles(dir: string, enableJs?: boolean): import("./config").ConfigObject;
